PDA

View Full Version : [ubuntu] Intel Mobile GM965/GL960 Graphics: no compiz in 9.04?



m_ad
April 24th, 2009, 12:29 AM
I can't enable advanced desktop effects on my fresh 9.04 install.

I remember having the same problem with my first Ubuntu install, being 7.10 (pretty sure the card was blacklisted). When I upgraded to 8.04, everything was good.

Is it blacklisted again?


matt@ubuntu-laptop:~$ sudo lspci | grep VGA
00:02.0 VGA compatible controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)

Any input would be greatly appreciated.

EDIT.

I'm not going to use an unofficial hack to resolve this issue. I'll wait until it's officially fixed.

I love Ubuntu, but why does it seem like it's moving backwards? Why does 8.04 work perfectly out of the box while 9.04 is broken?

In other words, why is my video controller supported in 8.04 but not in 9.04?

crjackson
April 24th, 2009, 12:31 AM
Yes you are correct. It's currently blacklisted as I understand it.

m_ad
April 24th, 2009, 12:33 AM
Wow, how did it get 'un'blacklisted?


This means I might have to go back to 8.04.. this is frustrating

crjackson
April 24th, 2009, 12:42 AM
Wow, how did it get 'un'blacklisted?


This means I might have to go back to 8.04.. this is frustrating

Check these threads...


http://ubuntuforums.org/showthread.php?t=1130582
http://ubuntuforums.org/showthread.php?t=1076014

m_ad
April 24th, 2009, 12:52 AM
I should have researched this before I installed 9.04. This is very dissapointing.

Back to 8.04

crjackson
April 24th, 2009, 01:04 AM
I should have researched this before I installed 9.04. This is very dissapointing.

Back to 8.04

I know how you feel. The bottom thread was started by me while testing.

sam_delta
April 24th, 2009, 01:12 AM
i have the same chipset, and desktop effects work out of the box on fresh install of ubuntu 9.04rc

Sam

m_ad
April 24th, 2009, 01:15 AM
the same chipset?

Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller?


are you lucky or is something not right here...?

m_ad
April 24th, 2009, 01:25 AM
I know how you feel. The bottom thread was started by me while testing.

Is it bad that I used this (http://ubuntuforums.org/showthread.php?p=7126480) fix to bypass this issue?

Seems to be running fine..

m_ad
April 24th, 2009, 05:50 PM
anyone?

jjessew
April 24th, 2009, 08:36 PM
i have the same chipset, and desktop effects work out of the box on fresh install of ubuntu 9.04rc

Sam

I have the same issue. I did my testing with 9.04rc, and everything worked great including compiz... So I installed a fresh copy of 9.04 final release yesterday, and now compiz doesn't work.

Should I just stick with the RC? Or is this something that will be sorted out in the near future?

jackson.arw
April 26th, 2009, 01:07 PM
Dude,
try the fix listed by m_ad, I have on my IBM T61 and it works a treat.

Quote
Type in terminal sudo gedit /usr/bin/compiz

find the line

T="$T 8086:2a02 " # Intel GM965

then put a # in front like this

#T="$T 8086:2a02 " # Intel GM965

then save then log out and back in

then enable by right clicking on the desktop
End Quote

From this thread :-
http://ubuntuforums.org/showthread.php?p=7126480

m_ad
May 1st, 2009, 03:28 PM
I'm not going to use an unofficial hack to resolve this issue. I'll wait until it's officially fixed.

I love Ubuntu, but why does it seem like it's moving backwards? Why does 8.04 work perfectly out of the box while 9.04 is broken?

In other words, why is my video controller supported in 8.04 but not in 9.04?

m_ad
May 2nd, 2009, 04:06 PM
Any comments?

m_ad
May 3rd, 2009, 03:15 PM
On more try.

sam_delta
May 3rd, 2009, 09:52 PM
from ubuntu 9.04 release notes:


These freezes happen particularly often on the i965 chips (359392). For that reason, desktop effects were disabled by default on this chipset in the final release. They will be re-enabled in a 9.04 Update once the problem has been fixed.

also if you'd like to install older intel drivers, heres documentation to do so:
https://wiki.ubuntu.com/ReinhardTartler/X/RevertingIntelDriverTo2.4


Sam

m_ad
May 4th, 2009, 05:09 PM
Thanks Sam,

I'll stick to 8.04. I don't want to retry 9.04 after I spent a lot of time reverting back to 8.04 (reinstalling, updating, configuring). Believe me, if I knew my graphics controller would work by installing old drivers, I would do it in a heart beat. I love having the newest version of Ubuntu.

Until the update comes and I know I'll have a working 9.04, I'll stick to 8.04.

I'm still thinking; How does Ubuntu 8.04 support my graphics controller, but 9.04 doesn't? Seems backwards to me.

pedor
May 5th, 2009, 09:16 PM
m_ad: I have the same question. It seems that the driver development is going backwards . That goes for both my Intel cards. :confused:
Se also http://ubuntuforums.org/showthread.php?t=996506